<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        //
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
      $schedule->call(function () {
        \Modules\EmailCampaigns\Http\Controllers\EmailsController::processScheduledMailings();
      })->everyFiveMinutes();

      $schedule->call(function () {
        \Platform\Controllers\App\UserController::checkExpiringTrials();
      })->hourly();

      $schedule->call(function () {
        \Platform\Controllers\App\UserController::checkExpiringAccounts();
      })->hourly();
    }

    /**
     * Register the Closure based commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        require base_path('routes/console.php');
    }
}
