<?php

return array(

  /*
   |--------------------------------------------------------------------------
   | General
   |--------------------------------------------------------------------------
   */

  "general" => "General",
  "edit" => "Edit",
  "delete" => "Delete",
  "created" => "Created",
  "updated" => "Updated",
  "actions" => "Actions",
  "options" => "Options",
  "back" => "Back",
  "cancel" => "Cancel",
  "reset" => "Reset",
  "save" => "Save",
  "update" => "Update",
  "save_changes" => "Save changes",
  "select" => "Select",
  "create" => "Create",
  "create_new" => "Create a new...",
  "add" => "Add",
  "got_it" => "Got it!",
  "submit" => "Submit",
  "changes_saved" => "Changes saved successfully.",
  "saved" => "Saved",
  "default" => "Default",
  "active" => "Active",
  "new" => "New",
  "share" => "Share",
  "view" => "View",
  "download" => "Download",
  "upload" => "Upload",
  "remove" => "Remove",
  "close" => "Close",
  "preview" => "Preview",
  "existing" => "Existing",
  "other" => "Other",
  "menu" => "Menu",
  "export" => "Export",
  "search" => "Search",
  "search_" => "Search &hellip;",
  "filter" => "Filter",
  "apply_filter" => "Apply filter",
  "subject" => "Subject",
  "title" => "Title",
  "heading" => "Heading",
  "short_description" => "Short description",
  "description" => "Description",
  "content" => "Content",
  "repeat" => "Repeat",
  "design" => "Design",
  "icon" => "Icon",
  "background" => "Background",
  "settings" => "Settings",
  "with_selected" => "With selected",
  "switch_active" => "Switch active",
  "toggle_active" => "Toggle active",
  "delete_selected" => "Delete selected",
  "select_all" => "Select all",
  "select_none" => "Select none",
  "records" => "Records",
  "order" => "Order",
	"category" => "Category",
  "link" => "Link",
  "oops" => "Oops...",
  "or" => "Or",
  "on" => "On",
  "off" => "Off",
  "published" => "Published",
  "not_published" => "Not published",
  "optional" => "Optional",

  /*
   |--------------------------------------------------------------------------
   | Dashboard
   |--------------------------------------------------------------------------
   */

  "dashboard" => "Dashboard",
  "hi" => ["Hi", "Hola", "Hello", "Hallo", "Aloha", "Heya"],
  "welcome_name" => "Welcome, :name!",
  "device_warning1" => "If you're seeing this message and you're on a desktop or laptop, resize your browser window to a larger viewport.",
  "device_warning2" => "We don't currently support mobile browsers. You can only log in and edit your full site from a desktop or laptop.",
  "device_warning3" => "While we only support site editing on desktop and laptop computers, all sites are optimized for responsive design so they look great in common mobile web browsers.",
  "device_warning_remove" => "I understand, and I still want to continue!",

  /*
   |--------------------------------------------------------------------------
   | Error pages
   |--------------------------------------------------------------------------
   */

  "page_not_found" => "Page not found",
  "form_not_found" => "Form not found",
  "page_not_published" => "Page not published",
  "form_not_published" => "Form not published",
  "link_expired" => "Link is expired",

  /*
   |--------------------------------------------------------------------------
   | Modules
   |--------------------------------------------------------------------------
   */

  "modules" => "Modules",
  "enter_name" => "Enter name",
  "please_enter_value" => "Please enter a value!",
  "new_first" => "Newest first",
  "old_first" => "Oldest first",
  "high_conversion_first" => "Highest conversion first",
  "low_conversion_first" => "Lowest conversion first",
  "most_visited_first" => "Most visited first",
  "least_visited_first" => "Least visited first",
  "do_you_want_to_de_activate" => "Do you want to de-activate the :module module?",
  "do_you_want_to_activate" => "Do you want to activate the :module module?",

  /*
   |--------------------------------------------------------------------------
   | Forms
   |--------------------------------------------------------------------------
   */

  "form_fields" => [
    "general" => [
      "text" => "Text",
      "textarea" => "Multi-line text",
      "number" => "Number",
      "url" => "Url",
      "multiple_choice" => "Multiple choice",
      "select" => "Dropdown list",
      "radios" => "Options",
      "website" => "Website",
      "date" => "Date",
      "time" => "Time",
      "date_time" => "Date and time"
    ],
    "personal" => [
      "first_name" => "First name",
      "last_name" => "Last name",
      "name" => "Name",
      "gender" => "Gender", // Male / female,
      "title" => "Title", // Mr / Mrs
      "impressum" => "Impressum",
      "birthday" => "Birthday",
      "website" => "Website",
      "address1" => "Address 1",
      "address2" => "Address 2",
      "street" => "Street",
      "house_number" => "House number",
      "phone" => "Phone",
      "mobile" => "Mobile",
      "fax" => "Fax",
      "postal" => "Postal code / zip",
      "city" => "City",
      "state" => "Region / state",
      "country" => "Country"
    ],
    "business" => [
      "company" => "Company name",
      "job_title" => "Job title",
      "website" => "Website",
      "email" => "Email",
      "address1" => "Address 1",
      "address2" => "Address 2",
      "street" => "Street",
      "house_number" => "House number",
      "phone" => "Phone",
      "mobile" => "Mobile",
      "fax" => "Fax",
      "postal" => "Postal code",
      "city" => "City",
      "state" => "Region / state",
      "country" => "Country"
    ],
    "booking" => [
      "date" => "Date",
      "start_date" => "Start date",
      "end_date" => "End date",
      "time" => "Time",
      "start_time" => "Start time",
      "end_time" => "End time",
      "date_time" => "Date and time",
      "start_date_time" => "Start date and time",
      "end_date_time" => "End date and time"
    ]
  ],
  "form_fields_gender" => [
    "male" => "Male",
    "female" => "Female"
  ],
  "form_fields_title" => [
    "mr" => "Mr",
    "ms" => "Mrs"
  ],
  "personal" => "Personal",
  "business" => "Business",
  "booking" => "Booking",
  "confirmed" => "Confirmed",

  /*
   |--------------------------------------------------------------------------
   | Funnels
   |--------------------------------------------------------------------------
   */

  "funnels" => "Funnels",
  "funnel" => "Funnel",
  "create_funnel" => "Create funnel",
  "confirm_delete_funnel" => "All attached pages, forms and email campaigns will be deleted.",
  "create_funnel_placeholder" => "ACME Inc. - Product Launch",
  "create_funnel_text" => "Enter a name for the funnel.",
  "create_first_funnel_text" => "Before we can start, we need a funnel name to categorize pages, forms and email campaigns.",
  "create_first_funnel_text2" => "Go ahead and enter a name. You can change this later.",
  "manage_funnels" => "Manage funnels",
  "update_funnel" => "Update funnel",
  "update_funnel_text" => "Enter a new name for the funnel.",
  "currently_selected" => "Currently selected",

  /*
   |--------------------------------------------------------------------------
   | Analytics
   |--------------------------------------------------------------------------
   */

  "analytics" => "Analytics",
  "view_analytics" => "View analytics",
  "conversion" => "Conversion",
  "conversions" => "Conversions",
  "visits" => "Visits",
  "visit_online" => "Visit online",
  "browser" => "Browser",
  "version" => "Version",
  "os" => "OS",
  "brand" => "Brand",
  "model" => "Model",
  "visit_s_" => "Visit(s)",
  "opens" => "Opens",
  "clicks" => "Clicks",
  "emails" => "Emails",
  "sent" => "Sent",

  /*
   |--------------------------------------------------------------------------
   | Members
   |--------------------------------------------------------------------------
   */

  "leads" => "Leads",
  "members" => "Members",
  "edit_member" => "Edit member",
  "member_registration_success" => "An email has been sent to your email address with your password.",
 
  /*
   |--------------------------------------------------------------------------
   | Media
   |--------------------------------------------------------------------------
   */

  "media" => "Media",
  "media_manager" => "Media Manager",
  "uploads" => "Uploads",
  "images" => "Images",
  "templates" => "Templates",
  "browse" => "Browse",
  "browse_" => "Browse &hellip;",

  /*
   |--------------------------------------------------------------------------
   | Email
   |--------------------------------------------------------------------------
   */

  "to" => "To",
  "from_name" => "From Name",
  "from_email" => "From Email",

  /*
   |--------------------------------------------------------------------------
   | Demo
   |--------------------------------------------------------------------------
   */

  "login_demo_mode" => "The system is in demo mode.",

  /*
   |--------------------------------------------------------------------------
   | Auth
   |--------------------------------------------------------------------------
   */

  "name" => "Name",
  "your_name" => "Your Name",
  "email" => "Email",
  "email_address" => "Email Address",
  "username" => "Username",
  "password" => "Password",
  "confirm_password" => "Confirm Password",
  "new_password" => "New password",
  "remember_me" => "Remember me",
  "log_in" => "Log In",
  "login" => "Login",
  "logout" => "Logout",
  "forgot_password" => "Forgot Your Password?",
  "create_account" => "Create an account",
  "enter_email" => "Enter Email",
  "reset_password_info" => "Enter your email address and instructions to reset your password will be sent to you.",
  "register" => "Register",
  "already_have_account" => "Already have an account?",
  "incorrect_password" => "The current password is incorrect.",

  /*
   |--------------------------------------------------------------------------
   | Plans
   |--------------------------------------------------------------------------
   */

  "plans" => "Plans",
  "full_access" => "Full access",
  "free" => "Free",
  "trial" => "Trial",
  "subscribe" => "Subscribe",
  "trial_tour" => "To update your subscription or see all available plans, click here and choose 'Plan'.",
  "trial_expires" => "Trial expires",
  "trial_expires_help" => "Leave empty to prevent account removal on trial expiration date.",
  "trial_expires_in" => "Your trial expires :datetime",
  "subscription_expires_in" => "Your subscription expires :datetime",
  "subscription_expires" => "Subscription expires",
  "subscription_expires_help" => "Leave empty to prevent account removal on  expiration date.",
  "expires" => "Expires",
  "default_plan" => "Default plan",
  "default_info" => "New users start with the default plan. If there is no default plan, a user will start with a free plan with no permissions. There can be only one default plan.",
  "trial_days" => "Trial days",
  "trial_days_help" => "A trial period can't be less than 4 days, because users get a first reminder 3 days before a trial expires. If you change this period, this will only affect new registrations. If empty, there is a default 14 day trial period.",
  "per_month" => "Per month",
  "subtitle" => "Subtitle",
  "create_plan" => "Create Plan",
  "edit_plan" => "Edit plan",
  "change_plan" => "Change plan",
  "order_now" => "Order Now",
  "order_1_month" => "Order 1 month",
  "order_1_year" => "Order 1 year",
  "upgrade" => "Upgrade",
  "downgrade" => "Downgrade",
  "expired" => "Expired",
  "order_url" => "Order url",
  "upgrade_url" => "Upgrade url",
  "current_plan" => "Current plan",
  "you_are_on_plan" => "You are on the :plan plan.",
  "click_here_for_more_info" => "Click <a href=\":link\" style=\"text-decoration:underline\">here</a> for more information.",
  "price" => "Price",
  "currency" => "Currency",
  "month" => "Month",
  "monthly" => "Monthly",
  "monthly_abbr" => "/mo",
  "per_month" => "Per month",
  "remote_product_id" => "Remote product id",
  "year" => "Year",
  "annual" => "Annual",
  "annual_price_help" => "Enter the monthly price in case a subscription for one year is purchased.",
  "current" => "Current",
  "limitations" => "Limitations",
  "maximum" => "Maximum",
  "account_limit_reached" => "Your account limit has been reached.",
  "no_access_to_feature" => "Your current account has no access to this feature. Upgrade your account if you want to use this feature.",
  "upgrade_before_link" => "Processing the payment may take a couple of minutes. Refresh the system or login again to see your new subscription active.",

  /*
   |--------------------------------------------------------------------------
   | Resellers
   |--------------------------------------------------------------------------
   */

  "resellers" => "Resellers",
  "reseller" => "Reseller",
  "create_reseller" => "Create Reseller",
  "edit_reseller" => "Edit reseller",
  "domain" => "Domain",
  "support_email" => "Support email address",
  "domain_help" => "Point the CNAME of this domain to :host",
  "platform_name" => "Platform name",
  "reseller_name" => "Reseller name",
  "reseller_email" => "Reseller email",
  "account_owner" => "Account owner",
  "no_users_for_reseller" => "No users found who can be reseller",
  "active_reseller_desc" => "If a reseller is not active, none of its users can login",
  "logo" => "Logo",
  "logo_help" => "This is the horizontal logo used for the left top and on dark backgrounds. Use an SVG image for best results.",
  "logo_square" => "Square logo",
  "logo_square_help" => "This is the vertical logo for light backgrounds. Use an SVG image for best results.",
  "favicon" => "Favicon",
  "mail_settings" => "Mail settings",
  "driver" => "Driver",
  "sender_name" => "Sender name",
  "sender_address" => "Sender address",
  "host" => "Host",
  "port" => "Port",
  "encryption" => "Encryption",
  "mailgun_domain" => "Mailgun domain",
  "mailgun_secret" => "Mailgun secret",
  "key" => "Key",
  "affiliate_id" => "Affiliate ID",
  "branding" => "Branding",
  "website" => "Website",
  "active_website_desc" => "If the website is not active, the homepage will redirect to the login page.",
  "header_image" => "Header image",
  "header_gradient" => "Header gradient",
  "header_title" => "Header title",
  "header_cta" => "Header Call-to-Action",
  "publishable_key" => "Publishable key",
  "secret_key" => "Secret key",
  "avangate" => "Avangate",
  "stripe" => "Stripe",

  /*
   |--------------------------------------------------------------------------
   | Users
   |--------------------------------------------------------------------------
   */

  "user" => "User",
  "users" => "Users",
  "create_user" => "Create User",
  "edit_user" => "Edit user",
  "account" => "Account",
  "role" => "Role",
  "roles" => [
    "owner" => "Owner",
    "reseller" => "Reseller",
    "admin" => "Admin",
    "user" => "User"
  ],
  "user_roles" => [
    "admin" => "Admin",
    "user" => "User"
  ],
  "profile" => "Profile",
  "plan" => "Plan",
  "logins" => "Logins",
  "last_login" => "Last login",
  "last_ip" => "Last IP",
  "login_as_user" => "Login as user",
  "cant_delete_owner" => "Can't delete owner",
  "upload_avatar" => "Upload avatar",
  "remove_avatar" => "Remove avatar",
  "localization" => "Localization",
  "language" => "Language",
  "timezone" => "Timezone",
  "show_hide_password" => "Show / hide password",
  "generate_password" => "Generate password",
  "current_password" => "Current password",
  "current_password_info" => "Enter your current password to confirm changes.",
  "new_password_info" => "Leave empty if you don't want to change the password.",
	"mail_login_update" => "Send user email with new password",
  "active_user_desc" => "Only active users can login.",
	"mail_login" => "Send user email with login credentials",
	"connections" => "Connections",
	"no_connections_available_yet" => "There are no connections available yet.",

  /*
   |--------------------------------------------------------------------------
   | Data Tables
   |--------------------------------------------------------------------------
   */

    "search_" => "Search...",
    "show_records" => "_MENU_ records", // Don't translate _MENU_; it's a variable
    "empty_table" => "No data available in table",
    "dt_info" => "Showing _START_ to _END_ of _TOTAL_",
    "all" => "All",
 
  /*
   |--------------------------------------------------------------------------
   | Admin
   |--------------------------------------------------------------------------
   */

  "admin" => "Admin",
 
  /*
   |--------------------------------------------------------------------------
   | Media
   |--------------------------------------------------------------------------
   */

  "my_files" => "My Files",

  /*
   |--------------------------------------------------------------------------
   | Mails
   |--------------------------------------------------------------------------
   */

   // General
  "mail_closing" => "Thank you for using :product_name.",
  "mail_greeting" => "Hello :name,",
  "mail_footer" => "Rapid Marketing Tools",
  "mail_copy_action_text" => "If you're having trouble clicking the \":actionText\" button, copy and paste the URL below into your web browser:",
  "mail_signature" => "-- The :product_name Team",

  // User created credentials
  "send_credentials_subject" => "Welcome to :product_name",
  "send_credentials_mail_line1" => "An account has been created for you at :domain.<br><br>You can login with the following credentials.<br><br>Email: <strong>:email</strong><br>Password: <strong>:password</strong>",

  // New user registration
  "new_user_subject" => "Thank you for trying :product_name!",
  "new_user_mail_line1" => "Thanks for trying :product_name. Your :trial_days day trial has started.",
  "new_user_cta" => "Start with Rapid Marketing",
  "new_user_mail_line2" => "Take us for a spin, and please email us at :support_email if you experience any issues.",

   // General Member
  "member_mail_closing" => "Thank you for using our service!",

  // Reset password
  "reset_password_subject" => "Reset your :product_name password",
  "reset_password_mail_line1" => "Please click the link below to choose a new password.",
  "reset_password" => "Reset Password",

  // User updated, new password
  "new_password_subject" => "Your new :product_name password",
  "new_password_mail_line1" => "A new password has been set for your account: <strong>:password</strong>",

  // Member created credentials
  "member_registration_subject" => "Welcome to :product_name",
  "member_registration_mail_line1" => "Your password is <strong>:password</strong>. You can login with the credentials below and change your password after logging in.<br><br>Email: <strong>:email</strong><br>Password: <strong>:password</strong>",

  // Trial ends in 3 days
  "trial_ends_in_3_days_subject" => "Your :product_name trial ends in 3 days",
  "trial_ends_in_3_days_mail_line1" => "Thanks for trying :product_name. This is a kind reminder your trial expires in 3 days. When your trial expires, all data will be deleted permanently.",
  "trial_ends_in_3_days_cta" => "Upgrade account",
  "trial_ends_in_3_days_mail_line2" => "Regardless of your choice, we want to say thank you for trying :product_name. We know it's an investment of your time, and we appreciate you giving us a chance.",

  // Trial ends tomorrow
  "trial_ends_tomorrow_subject" => "Your :product_name trial ends tomorrow",
  "trial_ends_tomorrow_mail_line1" => "This is a kind reminder your :product_name account expires tomorrow. When your trial expires, all data will be deleted permanently. This can not be undone.",
  "trial_ends_tomorrow_cta" => "Upgrade account",
  "trial_ends_tomorrow_mail_line2" => "Regardless of your choice, we want to say thank you for trying :product_name. We know it's an investment of your time, and we appreciate you giving us a chance.",

  // Trial has ended
  "trial_has_ended_subject" => "Your :product_name trial has ended",
  "trial_has_ended_mail_line1" => "Thanks for trying :product_name. Your account and all associated data has been deleted. But no worries, you're always welcome to create a new account!",
  "trial_has_ended_cta" => "Create a new account",
  "trial_has_ended_mail_line2" => "Again, thank you for trying :product_name. We know it's an investment of your time, and we appreciate you gave us a chance.",

  // Account expired yesterday
  "account_expired_yesterday_subject" => "Your :product_name account has expired",
  "account_expired_yesterday_mail_line1" => "Thanks for using :product_name. We'd love to keep you as a customer, but we respect your decision. Your account and all associated data will be deleted after 14 days. You can prevent this by ordering a new subscription.",
  "account_expired_yesterday_cta" => "Prevent account removal",
  "account_expired_yesterday_mail_line2" => "Regardless of your choice, we want to say thank you for using :product_name!",

  // Account will be deleted in 3 days
  "account_deleted_in_3_days_subject" => "Your :product_name account will be deleted",
  "account_deleted_in_3_days_mail_line1" => "We'd love to keep you as a customer, but your account and all associated data will be deleted in 3 days. This can not be undone. However, you can still prevent this by ordering a new subscription.",
  "account_deleted_in_3_days_cta" => "Prevent account removal",
  "account_deleted_in_3_days_mail_line2" => "Regardless of your choice, we want to say thank you for using :product_name!",

  // Account has been deleted
  "account_deleted_subject" => "Your :product_name account has been deleted",
  "account_deleted_mail_line1" => "We're sorry to see you go. All the best and you're always welcome back!",
  "account_deleted_cta" => "Create a new account",
  "account_deleted_mail_line2" => "Thanks again for using :product_name."
);
